PyNewWrapper (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyNewWrapper

    java.lang.Object
      org.python.core.PyObject
          org.python.core.PyBuiltinCallable
              org.python.core.PyBuiltinMethod
                  org.python.core.PyNewWrapper

All Implemented Interfaces:
  Serializable, Cloneable, org.python.expose.ExposeAsSuperclass

Direct Known Subclasses:
  PyOverridableNew

    public abstract class PyNewWrapper

extends PyBuiltinMethod

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.python.core.PyBuiltinCallable
`PyBuiltinCallable.DefaultInfo, PyBuiltinCallable.Info`

Nested classes/interfaces inherited from class org.python.core.PyObject
`PyObject.ConversionException`

Field Summary
`PyType` | `for_type`

Fields inherited from class org.python.core.PyObject
`TYPE`

Constructor Summary
`PyNewWrapper()` Creates a wrapper without binding it to a type. setWrappedType must be called before this wrapper can be used.
`PyNewWrapper(Class c, String name, int minargs, int maxargs)`
`PyNewWrapper(PyType type, String name, int minargs, int maxargs)`

Method Summary
`PyObject` | `__call__(PyObject[] args)` A variant of the __call__ method when no keywords are passed.
`PyObject` | `__call__(PyObject[] args, String[] keywords)` The basic method to override when implementing a callable object.
`PyBuiltinCallable` | `bind(PyObject self)` Returns a new instance of this type of PyBuiltinFunction bound to self
`PyType` | `getWrappedType()`
`abstract PyObject` | `new_impl(boolean init, PyType subtype, PyObject[] args, String[] keywords)`
`void` | `setWrappedType(PyType type)`

Methods inherited from class org.python.core.PyBuiltinMethod
`__cmp__, getSelf, hashCode, makeDescriptor`

Methods inherited from class org.python.core.PyBuiltinCallable
`fastGetName, getDoc, getModule, makeCall, setInfo, toString`

Methods inherited from class org.python.core.PyObject
`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __eq__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __truediv__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isMappingType, isNumberType, isSequenceType, noAttributeError, readonlyAttributeError, setDict, setType`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### for_type

    public PyType for_type

Constructor Detail

### PyNewWrapper

    public PyNewWrapper()

  Creates a wrapper without binding it to a type. setWrappedType must be called before this wrapper can be used.

### PyNewWrapper

    public PyNewWrapper(Class c,
                        String name,
                        int minargs,
                        int maxargs)

### PyNewWrapper

    public PyNewWrapper(PyType type,
                        String name,
                        int minargs,
                        int maxargs)

Method Detail

### new_impl

    public abstract PyObject new_impl(boolean init,
                                      PyType subtype,
                                      PyObject[] args,
                                      String[] keywords)

### bind

    public PyBuiltinCallable bind(PyObject self)

  Description copied from class: `PyBuiltinCallable`
  Returns a new instance of this type of PyBuiltinFunction bound to self

  Overrides:
    `bind` in class `PyBuiltinMethod`

### getWrappedType

    public PyType getWrappedType()

### setWrappedType

    public void setWrappedType(PyType type)

### __call__

    public PyObject __call__(PyObject[] args)

  Description copied from class: `PyObject`
  A variant of the __call__ method when no keywords are passed. The default behavior is to invoke `__call__(args, keywords)` with the appropriate arguments. The only reason to override this function would be for improved performance.

  Overrides:
    `__call__` in class `PyObject`
  Parameters:
    `args` - all arguments to the function.

### __call__

    public PyObject __call__(PyObject[] args,
                             String[] keywords)

  Description copied from class: `PyObject`
  The basic method to override when implementing a callable object. The first len(args)-len(keywords) members of args[] are plain arguments. The last len(keywords) arguments are the values of the keyword arguments.

  Overrides:
    `__call__` in class `PyObject`
  Parameters:
    `args` - all arguments to the function (including keyword arguments).
    `keywords` - the keywords used for all keyword arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage